Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 38 lines (33 sloc) 1.368 kb
58b1dff @bboe Fix the version number stuff again. Hopefully this settles it all.
bboe authored
1 import re
103ee12 @dahlia It seems not to require setuptools. Added a common fallback for setupto...
dahlia authored
2 try:
3 from setuptools import setup
4 except ImportError:
5 from distutils.core import setup
6
58b1dff @bboe Fix the version number stuff again. Hopefully this settles it all.
bboe authored
7
8 version = re.search("__version__ = '([^']+)'",
9 open('reddit/__init__.py').read()).group(1)
10
11
ebfc9ca @agermanidis Packaged the deal
agermanidis authored
12 setup(
ff6c3a9 @bboe Quote consistency.
bboe authored
13 name='reddit',
58b1dff @bboe Fix the version number stuff again. Hopefully this settles it all.
bboe authored
14 version=version,
74bb962 @bboe Add more complete meta-data to setup.py and performed a mini-version bum...
bboe authored
15 author='Timothy Mellor',
ff6c3a9 @bboe Quote consistency.
bboe authored
16 author_email='timothy.mellor+pip@gmail.com',
74bb962 @bboe Add more complete meta-data to setup.py and performed a mini-version bum...
bboe authored
17 maintainer='Bryce Boe',
78d8d23 @bboe Version bump and fix version number handling for setup.py and sphinx.
bboe authored
18 maintainer_email='bbzbryce@gmail.com',
ff6c3a9 @bboe Quote consistency.
bboe authored
19 url='https://github.com/mellort/reddit_api',
74bb962 @bboe Add more complete meta-data to setup.py and performed a mini-version bum...
bboe authored
20 description='A wrapper for the Reddit API',
21 long_description=('Please see the `documentation on github '
22 '<https://github.com/mellort/reddit_api>`_.'),
23 classifiers=['Development Status :: 5 - Production/Stable',
24 'Environment :: Console',
25 'Intended Audience :: Developers',
26 'License :: OSI Approved :: GNU General Public License (GPL)',
27 'Natural Language :: English',
28 'Operating System :: OS Independent',
b95fcdb @bboe Clean up code since it depends on at least python 2.6.
bboe authored
29 'Programming Language :: Python :: 2.6',
30 'Programming Language :: Python :: 2.7',
6917dab @bboe Final 1.3.0dev touches.
bboe authored
31 'Programming Language :: Python :: 3.2',
74bb962 @bboe Add more complete meta-data to setup.py and performed a mini-version bum...
bboe authored
32 'Topic :: Utilities'],
33 license='GPLv3',
34 keywords=['api', 'reddit'],
35 packages=['reddit'],
1368536 @bboe Remove hack from setup.py and version bump.
bboe authored
36 package_data={'': ['COPYING'], 'reddit': ['*.cfg']},
cba2743 @bboe setup.py dependency hack
bboe authored
37 install_requires=['six'])
Something went wrong with that request. Please try again.